<div class="row pt-4" *ngIf="this.userService.role === 'Manager'">
  <div class="col-md-8">
    <input type="search" class="form-control form-control-lg" placeholder="Search..." [(ngModel)]=serach><br>
    <div class="progress">
      <div class="progress-bar" role="progressbar" [attr.aria-valuenow]="service.percentageCompletion.toFixed(2)"
           aria-valuemin="0" aria-valuemax="100"
           [ngStyle]="{width: service.percentageCompletion.toFixed(2) + '%'}">
        {{service.percentageCompletion.toFixed(2)}}%
      </div>
    </div>
    <table class="table table-striped mt-3">
      <thead class="thead-light">
      <tr>
        <th class="col-sm-4" scope="col" [appSort]="service.list" data-order="desc" data-name="name">Task name</th>
        <th class="col-sm-3 text-center" scope="col" [appSort]="service.list" data-order="desc" data-name="deadline">
          Deadline
        </th>
        <th class="col-sm-2 text-center" scope="col" [appSort]="service.list" data-order="desc" data-name="taskStatus">
          Task status
        </th>
        <th class="col-sm-2 text-center" scope="col" [appSort]="service.list" data-order="desc"
            data-name="taskPriority">Task priority
        </th>
        <th class="col-sm-1" scope="col"></th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let task of service.list | filter: serach">
        <td (click)="populateForm(task)">{{task.name}}</td>
        <td (click)="populateForm(task)" class="text-center">{{task.deadline}}</td>
        <td (click)="populateForm(task)" class="text-center">{{task.taskStatus}}</td>
        <td (click)="populateForm(task)" class="text-center">{{task.taskPriority}}</td>
        <td>
          <i class="fas fa-trash-alt fa-lg text-danger" (click)="onDelete(task)"></i>
        </td>
      </tr>
      </tbody>
    </table>
  </div>
  <div class="col-md-4">
    <tts-task-info></tts-task-info>
  </div>
</div>
<div class="row pt-4" *ngIf="this.userService.role === 'Employee'">
  <div class="col-md-8">
    <input type="search" class="form-control form-control-lg" placeholder="Search..." [(ngModel)]=serach><br>
    <div class="progress">
      <div class="progress-bar" role="progressbar" [attr.aria-valuenow]="service.percentageCompletion.toFixed(2)"
           aria-valuemin="0" aria-valuemax="100"
           [ngStyle]="{width: service.percentageCompletion.toFixed(2) + '%'}">
        {{service.percentageCompletion.toFixed(2)}}%
      </div>
    </div>
    <table class="table table-striped mt-3">
      <thead class="thead-light">
      <tr>
        <th class="col-sm-5" scope="col" [appSort]="service.list" data-order="desc" data-name="name">Task name</th>
        <th class="col-sm-3 text-center" scope="col" [appSort]="service.list" data-order="desc" data-name="deadline">
          Deadline
        </th>
        <th class="col-sm-2 text-center" scope="col" [appSort]="service.list" data-order="desc" data-name="taskStatus">
          Task status
        </th>
        <th class="col-sm-2 text-center" scope="col" [appSort]="service.list" data-order="desc"
            data-name="taskPriority">Task priority
        </th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let task of service.list | filter: serach">
        <td (click)="populateForm(task)">{{task.name}}</td>
        <td (click)="populateForm(task)" class="text-center">{{task.deadline}}</td>
        <td (click)="populateForm(task)" class="text-center">{{task.taskStatus}}</td>
        <td (click)="populateForm(task)" class="text-center">{{task.taskPriority}}</td>
      </tr>
      </tbody>
    </table>
  </div>
  <div class="col-md-4">
    <tts-task-info></tts-task-info>
  </div>
</div>
